## org.apache.cassandra.streaming
Class IncomingStreamReader

    java.lang.Object
      org.apache.cassandra.streaming.IncomingStreamReader

    public class IncomingStreamReader

extends java.lang.Object

Constructor Summary
`IncomingStreamReader(java.nio.channels.SocketChannel socketChannel)`

Method Summary
`void` `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncomingStreamReader

    public IncomingStreamReader(java.nio.channels.SocketChannel socketChannel)

Method Detail

### read

    public void read()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation